package test

import (
	"context"
	"{{.ProjectName}}/gen/go/service"
	"{{.ProjectName}}/server/config"
	"fusen-basic/env"
)

{{range .GrpcTestStructs}}

var {{.RequestVar}} *service.{{.RequestStruct}}

func {{.MethodName}}RPC() (any, error) {
	if fusen == nil {
		fusen := env.NewFusenTest[config.Config]()
		fusen.StartNacos(nil)
		service.AutoGrpcInit(fusen)
	}

	resp, err := service.Auto{{.ServiceName}}Client(context.TODO()).{{.MethodName}}(context.TODO(), {{.RequestVar}})
	if err != nil {
		return nil, err
	}
	return resp, nil
}

{{end}}
